madkit.message

## Class ActMessage

- java.lang.Object
- - madkit.kernel.Message
  - - madkit.message.ActMessage

- All Implemented Interfaces:
    Serializable, Cloneable
  Direct Known Subclasses:
    ACLMessage, KQMLMessage

      public class ActMessage
      extends Message

  This class describes a generic speech act message.
  Since:
    MaDKit 1.0
  Version:
    1.1
  Author:
    Ol. Gutknecht 10/03/98 original, revision 1.1 04/2002 J.Ferber
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `action`
    `protected Hashtable<String,Object>` | `fields`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActMessage(String actiontype)` Constructor for GenericMessage class
    `ActMessage(String actiontype, Object o)`
    `ActMessage(String actiontype, String content)`
    `ActMessage(String actiontype, String content, Object o)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAction()`
    `String` | `getContent()`
    `Object` | `getFieldValue(String key)`
    `String` | `getInReplyTo()`
    `Enumeration<String>` | `getKeys()`
    `Object` | `getObject()`
    `void` | `setContent(String s)`
    `void` | `setField(String key, Object value)`
    `void` | `setInReplyTo(String s)`
    `void` | `setObject(Object o)`

    - ### Methods inherited from class madkit.kernel.Message

      `clone, getConversationID, getReceiver, getSender, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### action

          protected String action

    - #### fields

          protected final Hashtable<String,Object> fields

  - ### Constructor Detail

    - #### ActMessage

          public ActMessage(String actiontype)

      Constructor for GenericMessage class

    - #### ActMessage

          public ActMessage(String actiontype,
                            String content)

    - #### ActMessage

          public ActMessage(String actiontype,
                            Object o)

    - #### ActMessage

          public ActMessage(String actiontype,
                            String content,
                            Object o)

  - ### Method Detail

    - #### getAction

          public String getAction()

    - #### getContent

          public String getContent()

    - #### setContent

          public void setContent(String s)

    - #### getObject

          public Object getObject()

    - #### setObject

          public void setObject(Object o)

    - #### getKeys

          public Enumeration<String> getKeys()

    - #### setField

          public void setField(String key,
                               Object value)

    - #### getFieldValue

          public Object getFieldValue(String key)

    - #### getInReplyTo

          public String getInReplyTo()

    - #### setInReplyTo

          public void setInReplyTo(String s)

Fabien Michel, Olivier Gutknecht, Jacques Ferber - February 17 2020